glib-0.13.10.0: Binding to the GLIB library for Gtk2Hs.

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | Safe-Inferred
Language | Haskell98

System.Glib.GParameter

Description

Storable instance for GParameter, used by objectNew

# Documentation

newtype GParameter Source #

Constructors

GParameter (String, GValue) |

#### Instances

Instances details

Storable GParameter Source # |

Instance details

Defined in System.Glib.GParameter

Methods

sizeOf :: GParameter -> Int Source #

alignment :: GParameter -> Int Source #

peekElemOff :: Ptr GParameter -> Int -> IO GParameter Source #

pokeElemOff :: Ptr GParameter -> Int -> GParameter -> IO () Source #

peekByteOff :: Ptr b -> Int -> IO GParameter Source #

pokeByteOff :: Ptr b -> Int -> GParameter -> IO () Source #

peek :: Ptr GParameter -> IO GParameter Source #

poke :: Ptr GParameter -> GParameter -> IO () Source #